## disk-filltest 0.8.2

=== Makefile ===
# Very simple Makefile for disk-filltest

CC ?= cc

CFLAGS ?= -O3
CFLAGS += -W -Wall -ansi

# Directories for executables and manuals
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
man1dir = $(prefix)/man1

GZIP ?= gzip
INSTALL ?= install
RM ?= rm

all: disk-filltest

disk-filltest: disk-filltest.c
	$(CC) $(CFLAGS) -o disk-filltest disk-filltest.c

disk-filltest.1.gz: disk-filltest.1
	$(GZIP) -9k disk-filltest.1

install: install-bin install-man

install-bin: disk-filltest
	$(INSTALL) -m 0755 -t "$(DESTDIR)/$(bindir)" -D disk-filltest

install-man: disk-filltest.1.gz
	$(INSTALL) -m 0644 -t  "$(DESTDIR)/$(man1dir)" -D disk-filltest.1.gz

clean:
	$(RM) -f disk-filltest

=== debian/changelog ===
disk-filltest (0.8.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sudip Mukherjee ]
  * Update from upstream v0.8.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jul 2020 17:54:58 +0100

disk-filltest (0.8.1-3) unstable; urgency=medium

  * Update compat level to 13.
  * Add autopkgtest.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 12 May 2020 18:50:30 +0100

disk-filltest (0.8.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Add debian/watch file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 11 Apr 2020 19:24:26 +0100

disk-filltest (0.8.1-1) unstable; urgency=medium

  * Initial release (Closes: #949307)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 20 Jan 2020 21:53:41 +0000

=== debian/control ===
Source: disk-filltest
Section: utils
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://panthema.net/2013/disk-filltest/
Vcs-Browser: https://github.com/sudipm-mukherjee/disk-filltest
Vcs-Git: https://github.com/sudipm-mukherjee/disk-filltest.git

Package: disk-filltest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple Tool to Detect Bad Disks by Filling with Random Data
 The number of hard disk produced in the last five years is huge. Of course,
 this is the same number of hard disks that will most probably fail in the next
 five years, possibly with catastrophic consequences for the particular user or
 business.
 .
 The simple tool disk-filltest can help, together with S.M.A.R.T. monitoring, to
 check disks periodically and thus be forewarned about coming failures. The
 function of disk-filltest is simple:
  * Write files random-######## to the current directory until the disk is full.
  * Read the files again and verify the pseudo-random sequence written.
  * Any write or read error will be reported, either by the operating system or
    by checking the pseudo-random sequence.
  * Optionally, delete the random files after a successful run.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(PREFIX) man1dir=$(PREFIX)/share/man/man1

=== debian/tests/control ===
Tests: diskfill-tests
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/disk-filltest-$1\.tar\.gz/ \
  https://github.com/bingmann/disk-filltest/tags .*/v?(\d\S+)\.tar\.gz
